<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNewLineRequestSmartDevicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('new_line_request_smart_devices', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('new_line_request_id');
            $table->unsignedBigInteger('smart_device_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('new_line_request_smart_devices');
    }
}
